The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  ВХОД  слежка  RSS
"OpenNews: Вышло Linux ядро 2.6.10, прозванное 'Woozy Numbat'..."
Вариант для распечатки Архивированная нить - только для чтения! 
Пред. тема | След. тема 
Форумы Разговоры, обсуждение новостей (Public)
Изначальное сообщение [Проследить за развитием треда]

"OpenNews: Вышло Linux ядро 2.6.10, прозванное 'Woozy Numbat'..."
Сообщение от opennews (??) on 26-Дек-04, 02:51 
Отличий от rc3 немного (обновление CIFS и драйвера DVB карт). По сравнению с ядром 2.6.9 - много изменений в драйверах.

Поддержка новых беспроводных устройств, вливание "-mm" патчей, изменения в SATA, bluetooth, SCSI, USB, ALSA, fbdev, IDE, i2c, v4l,  NTFS и т.д.

URL: http://kerneltrap.org/node/4450
Новость: https://www.opennet.ru/opennews/art.shtml?num=4842

Cообщить модератору | Наверх | ^

 Оглавление

Сообщения по теме [Сортировка по времени, UBB]


1. "То что сделать это можно было только"
Сообщение от ZOD (??) on 26-Дек-04, 02:51 
будучи пьяным нечеловеком --- это точно.
Cообщить модератору | Наверх | ^

2. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от Аноним email on 26-Дек-04, 11:47 
хы, в очередной раз повторяется "четность" 2.6.* - четные версии глюкавые, нечетные можно юзать... Ждем 2.6.11, сидим на 2.6.9-shadow :)
Cообщить модератору | Наверх | ^

18. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от Coder on 28-Дек-04, 09:57 
Позволю себе не согласится. 2.6.9 у меня как раз глючило.
Проблема с модемом. Если модем кладёт трубку (Обрыв связи к примеру), то ядро не понимало этого. pppd продолжал работать. Если руками его убить, появлялись сообщения о каких-то там ошибках (не помню уже точно)
Грешил на конфиг. Но 2.6.7 с этим-же конфигом замечательно работало. Поставил 2.6.10-rc3
Cообщить модератору | Наверх | ^

19. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от Coder on 28-Дек-04, 09:57 
Позволю себе не согласится. 2.6.9 у меня как раз глючило.
Проблема с модемом. Если модем кладёт трубку (Обрыв связи к примеру), то ядро не понимало этого. pppd продолжал работать. Если руками его убить, появлялись сообщения о каких-то там ошибках (не помню уже точно)
Грешил на конфиг. Но 2.6.7 с этим-же конфигом замечательно работало. Поставил 2.6.10-rc3 и всё стало нормально.
Cообщить модератору | Наверх | ^

3. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от Аноним email on 26-Дек-04, 15:06 
Чистый бред нащёт чётности и нечётности....
Cообщить модератору | Наверх | ^

4. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от Corvax (ok) on 26-Дек-04, 19:29 
Может и бред, но драйвер к модему, успешно существовавший на протяжении 2.6.7-2.6.9 на десятке ругается так:
Dec 26 11:53:29 mobile kernel: slamr: Unknown symbol get_device
Dec 26 11:53:29 mobile kernel: slamr: Unknown symbol put_device
Dec 26 11:53:29 mobile kernel: slamr: Unknown symbol device_release_driver

В Changes ничего на этот счет не нашел. Может кто сходу намекнет что подправить или в каком направлении копать.

P.s.: сидел бы без проблем на 2.6.9, но в 10-ке наконец появилась поддержка MMC-cardreader'а, которая мне весьма кстати.

Cообщить модератору | Наверх | ^

9. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от yakov on 27-Дек-04, 01:09 
Слушай, неужели драйвер slamr от smlink все это время торчал в ядре??
Или ты его где-то выкачал??
Cообщить модератору | Наверх | ^

10. "slamr"
Сообщение от Corvax (??) on 27-Дек-04, 09:30 
Ну не совсем в ядре -- модулем. Конечно выкачал; с сайта производителя (www.smlink.com)
Cообщить модератору | Наверх | ^

11. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от Аноним email on 27-Дек-04, 09:42 
Сие может означать, что указанные символы до этого торчали в ядре, а в новой версии перекочевали в какой-то модуль. Значит, нужно выяснить в какой и загрузить его перед драйвером.
Cообщить модератору | Наверх | ^

12. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от Corvax (??) on 27-Дек-04, 10:48 
Ага! Спасибо большое :) Вечером буду искать.
Cообщить модератору | Наверх | ^

17. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от Michael Mauch email on 28-Дек-04, 03:18 
Sorry for posting in English.

get_device() and put_device() are defined in
/usr/src/linux-2.6.10/drivers/base/core.c, device_release_driver is in /usr/src/linux/drivers/base/bus.c.

But I don't know how to compile these into the kernel.

Cообщить модератору | Наверх | ^

13. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от Andrey Mitrofanov on 27-Дек-04, 11:52 
> Может и бред, но драйвер к модему, успешно существовавший на протяжении 2.6.7-2.6.9 на десятке ругается так:

> Dec 26 11:53:29 mobile kernel: slamr: Unknown symbol get_device

Почему бред?.. Конец наступает _двоичным_драйверам_. ...вин-модемов в частности:

#> $ `cat ./ChangeLog-2.6.10 | grep "to GPL only"`

#> [driver model] Change symbol exports to GPL only in drivers/base/bus.c.

#> [driver model] Change sybmols exports to GPL only in class.c

#> [driver model] Change symbol exports to GPL only in core.c

#> [driver model] Change symbol exports to GPL only in driver.c

Торжество GPL, панимаишь.

...

Далее -- на выбор:

пользоваться старой версией ядра (включая и 2.4.x), которая по недоразумению %-) работает с не-GPL драйверами-модулями;

просить-гуньдеть на Доброго Дядю Торвальдса, шоб "починил как было" (желающие ещё могут выпустить GPL-only-roll-back-for-my-modem-2.6.10.patch отдельно от Дяди и сентиментов про GPL...);

просить-гуньдеть на Доброго Дядю Производителя дешёвой "популярной" железяки, чтоб "сделал, как надо" (и получить "2.6.10+ not supported").

Cообщить модератору | Наверх | ^

14. "про 'to GPL only'"
Сообщение от Andrey Mitrofanov on 27-Дек-04, 12:01 
>#> $ `cat ./ChangeLog-2.6.10 | grep "to GPL only"`
>#> [driver model] Change symbol exports to GPL only in drivers/base/bus.c.
>#> [driver model] Change sybmols exports to GPL only in class.c
>#> [driver model] Change symbol exports to GPL only in core.c
>#> [driver model] Change symbol exports to GPL only in driver.c

>Торжество GPL, панимаишь.

Помню, что читал про что-то такое...

http://google.ru/linux?q=Patrick+Mochel+symbol+exports+to+GPL+only

http://google.ru/linux?q=Patrick+Mochel+symbol+exports+to+GPL+only+site:lwn.net

http://lwn.net/Articles/104392/?format=printable

http://lwn.net/Articles/104393/?format=printable

Cообщить модератору | Наверх | ^

20. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от Аноним on 28-Дек-04, 18:18 
>> Может и бред, но драйвер к модему, успешно существовавший на протяжении 2.6.7-2.6.9 на десятке ругается так:
>
>> Dec 26 11:53:29 mobile kernel: slamr: Unknown symbol get_device
>
>Почему бред?.. Конец наступает _двоичным_драйверам_. ...вин-модемов в частности:
>
>#> $ `cat ./ChangeLog-2.6.10 | grep "to GPL only"`
>
>#> [driver model] Change symbol exports to GPL only in drivers/base/bus.c.
>
>#> [driver model] Change sybmols exports to GPL only in class.c
>
>#> [driver model] Change symbol exports to GPL only in core.c
>
>#> [driver model] Change symbol exports to GPL only in driver.c
>
>Торжество GPL, панимаишь.
>
>...
>
>Далее -- на выбор:
>
>пользоваться старой версией ядра (включая и 2.4.x), которая по недоразумению %-) работает
>с не-GPL драйверами-модулями;
>
>просить-гуньдеть на Доброго Дядю Торвальдса, шоб "починил как было" (желающие ещё могут
>выпустить GPL-only-roll-back-for-my-modem-2.6.10.patch отдельно от Дяди и сентиментов про GPL...);
>
>просить-гуньдеть на Доброго Дядю Производителя дешёвой "популярной" железяки, чтоб "сделал, как надо"
>(и получить "2.6.10+ not supported").

А можно просто поправить значение MODULE_LICENSE с "Smart Link Ltd." на "GPL" в файлах drivers/amrmo_init.c и drivers/st7554.c. Это, конечно, неправильно, но зато после этого модули начинают исправно грузиться.

Cообщить модератору | Наверх | ^

21. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от Алексей (??) on 28-Дек-04, 20:28 
>> Может и бред, но драйвер к модему, успешно существовавший на протяжении 2.6.7-2.6.9 на десятке ругается так:
>
>> Dec 26 11:53:29 mobile kernel: slamr: Unknown symbol get_device
>
>Почему бред?.. Конец наступает _двоичным_драйверам_. ...вин-модемов в частности:
>
а может наступит конец linux? если отвернуться от него производители, а он всеми средствами это пытается сделать - то будет значительно веселее :)


Cообщить модератору | Наверх | ^

22. "конец -- кому?"
Сообщение от Andrey Mitrofanov on 29-Дек-04, 10:02 
>>Почему бред?.. Конец наступает _двоичным_драйверам_. ...вин-модемов в частности:

>а может наступит конец linux?

Кому наступает конец /полностью/ зависит от точки зрения (=откуда он смотрит) высказывающего своё мнение по этому поводу. Для вас, "там" :-Р , мо буть конец линуксу и наступает...

> если отвернуться от него производители, а он всеми средствами это пытается сделать

Linux?? Кернел, который "крутится" в персоналке передо мной?? Пытается чего-то сделать с какими-то производителями?! Не может быть!

> - то будет значительно веселее :)

Типа салатика на поминках "похаваем"?.. Или как с OS/2 -- регулярные похороны 2 раза в год, в сезоны обострения?

Cообщить модератору | Наверх | ^

5. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от Аноним email on 26-Дек-04, 22:10 
а по моему всю жизнь нечётные были STABLE
Cообщить модератору | Наверх | ^

7. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от Аноним2 on 26-Дек-04, 22:33 
>а по моему всю жизнь нечётные были STABLE

Это касается только второй цифры.

Stable: 2.0 2.2 2.4 2.6
Development: 2.1 2.3 2.5

Cообщить модератору | Наверх | ^

8. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от jp (??) on 27-Дек-04, 00:33 
насколько я знаю, сейчас этого нет.

Разрабочики дистрибутивов сами решают какой для них лучше.

Cообщить модератору | Наверх | ^

6. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от Аноним email on 26-Дек-04, 22:19 
у меня стрим отвалился :(
модем zyxel annex a usb ee
работало в  2.6.7-2.6.9 а тут фигу :((
Cообщить модератору | Наверх | ^

15. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от slavon email(ok) on 27-Дек-04, 12:11 
Народ... кончай парится...
Есть понятие мажоров и миноров...
так вот приминимо к ядрам
x.y.z
x - поколение (нету тут Стабильное или нет)
y - версия (2,4,6 - стабильное, 1,3,5,7 нестабильное)
z - build (нету тут Стабильное или нет)

То что вы видите (2.6.10) - это перенесённые изменения из нестабильного ядра которые уже проверены
ЯДРО СТАБИЛЬНО! все 2.6.x стабильны )

Cообщить модератору | Наверх | ^

16. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от uldus (ok) on 27-Дек-04, 13:14 
>которые уже проверены
>ЯДРО СТАБИЛЬНО! все 2.6.x стабильны )

В 2.6 все изменилось, сейчас это псевдостабильное ядро, так как из-за отсутствия эксперементальной 2.7, отлаживают теперь по живому. Судя по changelog ломают от версии к весии очень много. Использовать пока можно на рабочей станции, на сервере - боже упаси.

Cообщить модератору | Наверх | ^

23. "Не плодите сущностей, не будет гемороя"
Сообщение от ZOD (??) on 29-Дек-04, 12:12 
А всё от того что энтропии развели.... Чего только стоит chroot в 32 линукс на AMD64....

Зато ccNUMA работает, и планировщик толковый..... Ну и энтропийная же это штука ентот слюникс..... Ей богу всё снесу соляру попробую... Геморой, слишком большой.... Хорошо что хотябы mount --bind работает....

Кстати 4xOpteron 850 уделал 2xXeon 3.06 в 2.7 раза, на 32бычей считалке оптимизированой под PIII.... Судя по user и real на моей задачке (решение систем дифуров) эта ботва смасштабировалась как 3.....

Cообщить модератору | Наверх | ^

24. "Вышло Linux ядро 2.6.10, прозванное "
Сообщение от chip email(ok) on 29-Дек-04, 21:08 
>y - версия (2,4,6 - стабильное, 1,3,5,7 нестабильное)

-STABLE  - x.2y.z
-CURRENT - x.(2y+1).z

:)

про Торвальдс & GPL - no comments

Cообщить модератору | Наверх | ^

25. "'new kernel development process'"
Сообщение от Andrey Mitrofanov on 30-Дек-04, 10:17 
>-STABLE  - x.2y.z
>-CURRENT - x.(2y+1).z

только *до* 2.6.0 (или "немного ранее"?)

В 2.6 "случился" $SUBJ -- плоды которого мы тут обсуждаем.

http://google.ru/linux?q=new+kernel+development+model+site:lwn.net
http://lwn.net/Articles/95312/?format=printable
http://lwn.net/Articles/117187/?format=printable

Насколько я понял, роль тестовой-нестабильной ветки теперь играет -mm (и -ac?), а "проверенные" патчи (не глядя? %)) ) включаются в релиз от "папы Линуса".

Говорят, 2.6.7 была "самой стабильной" версией... С .10 чего-то не то? Наверное, "юзеры" не достаточно тестировали .10-mm ...

Cообщить модератору | Наверх | ^

26. "'new kernel development process'"
Сообщение от chip email(??) on 30-Дек-04, 17:15 
>>-STABLE  - x.2y.z
>>-CURRENT - x.(2y+1).z
>
>только *до* 2.6.0 (или "немного ранее"?)

не я не к этому :) просто как записывается нечетные и четные числа. А про ${SUBJ} я в курсе. Здесь же на www.opennet.ru была новость, о том что меняется политика -STABLE/-CURRENT.

>Говорят, 2.6.7 была "самой стабильной" версией... С .10 чего-то не то?

не знаю. На бук поставил Ubuntu, у него 2.6.8.1 - вполне устраивает.

Cообщить модератору | Наверх | ^

Удалить

Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру